<?php



class AreasMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.AreasMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('AREAS');
		$tMap->setPhpName('Areas');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('ID_AREA', 'IdArea', 'double', CreoleTypes::NUMERIC, true, 22);

		$tMap->addColumn('DESCRIPCION', 'Descripcion', 'string', CreoleTypes::VARCHAR, false, 1000);

		$tMap->addColumn('SIGLA', 'Sigla', 'string', CreoleTypes::VARCHAR, false, 100);

		$tMap->addColumn('ID_DEPENDENCIA', 'IdDependencia', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('CODIGO', 'Codigo', 'string', CreoleTypes::VARCHAR, false, 100);

		$tMap->addColumn('ID_NIVEL', 'IdNivel', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('ESTADO', 'Estado', 'double', CreoleTypes::NUMERIC, false, 22);

	} 
} 